Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002754 [JEDI VCL] 00 JVCL Components minor always 2005-03-14 08:42 2005-05-26 05:35
Reporter marcgeldon View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002754: TJvDBLookupTreeViewCombo - Problem in procedure DoKillFocus
Description Hello!

Someone forgot to include a inherited call in the actual DoKillFocus procedure on the TJvDBLookupTreeViewCombo component. If this inherited call is not made, we got some problems during the repaint. Because the FFocused variable is not changed, the control is paint highlighted (also if it is not focused).

Hope to hear from you soon.


Best wishes,

Marc Geldon
(PRO IT SYSTEMS -> www.proitsystems.de)
Additional Information +++ ORIGINAL SOURCE +++
procedure TJvDBLookupTreeViewCombo.DoKillFocus(FocusedWnd: HWND);
begin
  if (Handle <> FocusedWnd) and (FDataList.Handle <> FocusedWnd) and
    (FDataList.FTree.Handle <> FocusedWnd) then
    CloseUp(False);
end;

+++ CORRECT +++
procedure TJvDBLookupTreeViewCombo.DoKillFocus(FocusedWnd: HWND);
begin
  if (Handle <> FocusedWnd) and (FDataList.Handle <> FocusedWnd) and
    (FDataList.FTree.Handle <> FocusedWnd) then
    CloseUp(False);

  inherited DoKillFocus(FocusedWnd);
end;
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007221)
obones (administrator)
2005-05-18 09:36

The function is called FocusKilled here in the latest version.
Can you confirm that this is indeed the valid function. I will then be able to put this in CVS.
Thanks
(0007354)
obones (administrator)
2005-05-26 05:35

Now in CVS

- Issue History
Date Modified Username Field Change
2005-03-14 08:42 marcgeldon New Issue
2005-05-18 09:36 obones Note Added: 0007221
2005-05-18 09:36 obones Status new => feedback
2005-05-26 05:35 obones Status feedback => resolved
2005-05-26 05:35 obones Resolution open => fixed
2005-05-26 05:35 obones Assigned To => obones
2005-05-26 05:35 obones Note Added: 0007354


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker